Ubuntu

perl package's stub perl-doc defeats auto-apt

Reported by mukesh agrawal on 2007-03-02
2
Affects Status Importance Assigned to Milestone
perl (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: perl

Normally, if I use auto-apt, then any attempt to run a missing program would trigger a prompt to install the program. Unfortunately, the stub 'perldoc' in the perl package defeats auto-apt.

% cat /etc/issue
Ubuntu 6.10 \n \l

% auto-apt run
Entering auto-apt mode: /bin/zsh
Exit the command to leave auto-apt mode.

% perldoc -f sleep
You need to install the perl-doc package to use this program.

% cat $(which perldoc)
#!/bin/sh
# place-holder, diverted by perl-doc
echo You need to install the perl-doc package to use this program. >&2
exit 1

Daniel T Chen (crimsun) on 2008-09-22
Changed in perl:
importance: Undecided → Low
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers